javax.swing.plaf.metal

## Class MetalBorders.Flush3DBorder

- java.lang.Object
- - javax.swing.border.AbstractBorder
  - - javax.swing.plaf.metal.MetalBorders.Flush3DBorder

All Implemented Interfaces:
  Serializable, Border, UIResource

Direct Known Subclasses:
  MetalBorders.TextFieldBorder

Enclosing class:
  MetalBorders

    public static class MetalBorders.Flush3DBorder
    extends AbstractBorder
    implements UIResource

### Constructor Summary

Constructors
Constructor and Description
`Flush3DBorder()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Insets` `getBorderInsets(Component c, Insets newInsets)` Reinitializes the insets parameter with this Border's current Insets.
`void` `paintBorder(Component c, Graphics g, int x, int y, int w, int h)` This default implementation does no painting.

### Methods inherited from class javax.swing.border.AbstractBorder

`getBaseline, getBaselineResizeBehavior, getBorderInsets, getInteriorRectangle, getInteriorRectangle, isBorderOpaque`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Flush3DBorder

    public Flush3DBorder()

### Method Detail

#### paintBorder

    public void paintBorder(Component c,
                            Graphics g,
                            int x,
                            int y,
                            int w,
                            int h)

Description copied from class: `AbstractBorder`
This default implementation does no painting.

Specified by:
  `paintBorder` in interface `Border`
Overrides:
  `paintBorder` in class `AbstractBorder`
Parameters:
  `c` - the component for which this border is being painted
  `g` - the paint graphics
  `x` - the x position of the painted border
  `y` - the y position of the painted border
  `w` - the width of the painted border
  `h` - the height of the painted border

#### getBorderInsets

    public Insets getBorderInsets(Component c,
                                  Insets newInsets)

Description copied from class: `AbstractBorder`
Reinitializes the insets parameter with this Border's current Insets.

Overrides:
  `getBorderInsets` in class `AbstractBorder`
Parameters:
  `c` - the component for which this border insets value applies
  `newInsets` - the object to be reinitialized
Returns:
  the `insets` object